Security Enhanced Linux Reference Policy

# Layer: system

## Module: raid

Interfaces

### Description:

RAID array management tools.

### Interfaces:

raid_admin_mdadm( domain , role )

##### Summary

All of the rules required to administrate an mdadm environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

raid_domtrans_mdadm( domain )

##### Summary

Execute software raid tools in the mdadm domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

raid_manage_mdadm_pid( domain )

##### Summary

Create, read, write, and delete mdadm pid files. (Deprecated)

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

raid_manage_mdadm_runtime_files( domain )

##### Summary

Create, read, write, and delete mdadm runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

raid_read_mdadm_pid( domain )

##### Summary

read mdadm pid files. (Deprecated)

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

raid_read_mdadm_runtime_files( domain )

##### Summary

Read mdadm runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

raid_run_mdadm( role , domain )

##### Summary

Execute mdadm in the mdadm domain, and allow the specified role the mdadm domain.

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access.
domain | Domain allowed to transition.

Return